[%categories]
Packages=
CodeIgniter=Packages
Libraries=CodeIgniter
Drivers=CodeIgniter

[%classes]
CI_Benchmark=Libraries
CI_Cache=Libraries
CI_Cache_apc=Libraries
CI_Cache_dummy=Libraries
CI_Cache_file=Libraries
CI_Cache_memcached=Libraries
CI_Calendar=Libraries
CI_Cart=Libraries
CI_Config=Libraries
CI_Controller=Libraries
CI_Driver=Libraries
CI_Driver_Library=Libraries
CI_Email=Libraries
CI_Encrypt=Libraries
CI_Exceptions=Libraries
CI_Form_validation=Libraries
CI_FTP=Libraries
CI_Hooks=Libraries
CI_Image_lib=Libraries
CI_Input=Libraries
CI_Javascript=Libraries
CI_Jquery=Libraries
CI_Lang=Libraries
CI_Loader=Libraries
CI_Log=Libraries
CI_Migration=Libraries
CI_Model=Libraries
CI_Output=Libraries
CI_Pagination=Libraries
CI_Parser=Libraries
CI_Profiler=Libraries
CI_Router=Libraries
CI_Security=Libraries
CI_Session=Libraries
CI_SHA1=Libraries
CI_Table=Libraries
CI_Trackback=Libraries
CI_Unit_test=Libraries
CI_Upload=Libraries
CI_URI=Libraries
CI_User_agent=Libraries
CI_Utf8=Libraries
CI_Xmlrpc=Libraries
CI_Xmlrpcs=Libraries
CI_Zip=Libraries
Welcome=Libraries
XML_RPC_Client=Libraries
XML_RPC_Message=Libraries
XML_RPC_Values=Libraries
CI_DB_active_record=Drivers
CI_DB_cubrid_driver=Drivers
CI_DB_driver=Drivers
CI_DB_mssql_driver=Drivers
CI_DB_mysqli_driver=Drivers
CI_DB_mysql_driver=Drivers
CI_DB_odbc_driver=Drivers
CI_DB_pdo_driver=Drivers
CI_DB_postgre_driver=Drivers
CI_DB_sqlite_driver=Drivers
CI_DB_sqlsrv_driver=Drivers
CI_DB_Cache=CodeIgniter
CI_DB_cubrid_forge=CodeIgniter
CI_DB_cubrid_result=CodeIgniter
CI_DB_cubrid_utility=CodeIgniter
CI_DB_forge=CodeIgniter
CI_DB_mssql_forge=CodeIgniter
CI_DB_mssql_result=CodeIgniter
CI_DB_mssql_utility=CodeIgniter
CI_DB_mysqli_forge=CodeIgniter
CI_DB_mysqli_result=CodeIgniter
CI_DB_mysqli_utility=CodeIgniter
CI_DB_mysql_forge=CodeIgniter
CI_DB_mysql_result=CodeIgniter
CI_DB_mysql_utility=CodeIgniter
CI_DB_oci8_driver=CodeIgniter
CI_DB_oci8_forge=CodeIgniter
CI_DB_oci8_result=CodeIgniter
CI_DB_oci8_utility=CodeIgniter
CI_DB_odbc_forge=CodeIgniter
CI_DB_odbc_result=CodeIgniter
CI_DB_odbc_utility=CodeIgniter
CI_DB_pdo_forge=CodeIgniter
CI_DB_pdo_result=CodeIgniter
CI_DB_pdo_utility=CodeIgniter
CI_DB_postgre_forge=CodeIgniter
CI_DB_postgre_result=CodeIgniter
CI_DB_postgre_utility=CodeIgniter
CI_DB_result=CodeIgniter
CI_DB_sqlite_forge=CodeIgniter
CI_DB_sqlite_result=CodeIgniter
CI_DB_sqlite_utility=CodeIgniter
CI_DB_sqlsrv_forge=CodeIgniter
CI_DB_sqlsrv_result=CodeIgniter
CI_DB_sqlsrv_utility=CodeIgniter
CI_DB_utility=CodeIgniter
CI_Typography=CodeIgniter
XML_RPC_Response=CodeIgniter

[%Functions]
&get_instance=method
config_item=method
&get_config=method
html_escape=method
is_loaded=method
is_php=method
is_really_writable=method
&load_class=method
log_message=method
remove_invisible_characters=method
set_status_header=method
show_404=method
show_error=method
_exception_handler=method
&DB=method
element=method
elements=method
random_element=method
create_captcha=method
delete_cookie=method
get_cookie=method
set_cookie=method
days_in_month=method
gmt_to_local=method
human_to_unix=method
local_to_gmt=method
mdate=method
mysql_to_unix=method
now=method
standard_date=method
timespan=method
timezones=method
timezone_menu=method
unix_to_human=method
directory_map=method
force_download=method
send_email=method
valid_email=method
delete_files=method
get_dir_file_info=method
get_filenames=method
get_file_info=method
get_mime_by_extension=method
octal_permissions=method
read_file=method
symbolic_permissions=method
write_file=method
form_button=method
form_checkbox=method
form_close=method
form_dropdown=method
form_error=method
form_fieldset=method
form_fieldset_close=method
form_hidden=method
form_input=method
form_label=method
form_multiselect=method
form_open=method
form_open_multipart=method
form_password=method
form_prep=method
form_radio=method
form_reset=method
form_submit=method
form_textarea=method
form_upload=method
set_checkbox=method
set_radio=method
set_select=method
set_value=method
validation_errors=method
_attributes_to_string=method
&_get_validation_object=method
_parse_form_attributes=method
br=method
doctype=method
heading=method
img=method
link_tag=method
meta=method
nbs=method
ol=method
ul=method
_list=method
camelize=method
humanize=method
plural=method
singular=method
underscore=method
lang=method
byte_format=method
set_realpath=method
do_hash=method
encode_php_tags=method
sanitize_filename=method
strip_image_tags=method
xss_clean=method
get_clickable_smileys=method
js_insert_smiley=method
parse_smileys=method
smiley_js=method
_get_smiley_array=method
alternator=method
increment_string=method
quotes_to_entities=method
random_string=method
reduce_double_slashes=method
reduce_multiples=method
repeater=method
strip_quotes=method
strip_slashes=method
trim_slashes=method
ascii_to_entities=method
character_limiter=method
convert_accented_characters=method
ellipsize=method
entities_to_ascii=method
highlight_code=method
highlight_phrase=method
word_censor=method
word_limiter=method
word_wrap=method
auto_typography=method
entity_decode=method
nl2br_except_pre=method
anchor=method
anchor_popup=method
auto_link=method
base_url=method
current_url=method
index_page=method
mailto=method
prep_url=method
redirect=method
safe_mailto=method
site_url=method
uri_string=method
url_title=method
_parse_attributes=method
xml_convert=method
is_false=method
is_true=method

[CI_DB_Cache]
$CI=variable
$db=variable
check_path=method
delete=method
delete_all=method
read=method
write=method

[CI_DB_cubrid_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_process_fields=method
_rename_table=method

[CI_DB_cubrid_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_cubrid_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_forge]
$db_char_set=variable
$fields=variable
$keys=variable
$primary_keys=variable
add_column=method
add_field=method
add_key=method
create_database=method
create_table=method
drop_column=method
drop_database=method
drop_table=method
modify_column=method
rename_table=method
_reset=method

[CI_DB_mssql_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_mssql_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_mssql_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_mysql_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_process_fields=method
_rename_table=method

[CI_DB_mysql_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_mysql_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_mysqli_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_process_fields=method
_rename_table=method

[CI_DB_mysqli_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_mysqli_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_oci8_driver]
$curs_id=variable
$dbdriver=variable
$limit_used=variable
$stmt_id=variable
$_commit=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
get_cursor=method
insert_id=method
reconnect=method
stored_procedure=method
trans_begin=method
trans_commit=method
trans_rollback=method
_bind_params=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_insert_batch=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_set_stmt_id=method
_truncate=method
_update=method
_version=method

[CI_DB_oci8_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_oci8_result]
$curs_id=variable
$limit_used=variable
$stmt_id=variable
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
result_array=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_oci8_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_odbc_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_odbc_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method
_odbc_fetch_array=method
_odbc_fetch_object=method

[CI_DB_odbc_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_pdo_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_pdo_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_pdo_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_postgre_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_postgre_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_postgre_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_result]
$conn_id=variable
$current_row=variable
$custom_result_object=variable
$num_rows=variable
$result_array=variable
$result_id=variable
$result_object=variable
$row_data=variable
custom_result_object=method
custom_row_object=method
field_data=method
first_row=method
free_result=method
last_row=method
list_fields=method
next_row=method
num_fields=method
num_rows=method
previous_row=method
result=method
result_array=method
result_object=method
row=method
row_array=method
row_object=method
set_row=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_sqlite_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_sqlite_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_sqlite_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_sqlsrv_forge]
_alter_table=method
_create_database=method
_create_table=method
_drop_database=method
_drop_table=method
_rename_table=method

[CI_DB_sqlsrv_result]
field_data=method
free_result=method
list_fields=method
num_fields=method
num_rows=method
_data_seek=method
_fetch_assoc=method
_fetch_object=method

[CI_DB_sqlsrv_utility]
_backup=method
_list_databases=method
_optimize_table=method
_repair_table=method

[CI_DB_utility]
$data_cache=variable
$db=variable
backup=method
csv_from_result=method
database_exists=method
list_databases=method
optimize_database=method
optimize_table=method
repair_table=method
xml_from_result=method

[CI_Typography]
$block_elements=variable
$inline_elements=variable
$inner_block_required=variable
$last_block_element=variable
$protect_braced_quotes=variable
$skip_elements=variable
auto_typography=method
format_characters=method
nl2br_except_pre=method
_format_newlines=method
_protect_characters=method

[CI_DB_active_record]
$ar_aliased_tables=variable
$ar_cache_exists=variable
$ar_cache_from=variable
$ar_cache_groupby=variable
$ar_cache_having=variable
$ar_cache_join=variable
$ar_cache_like=variable
$ar_cache_no_escape=variable
$ar_cache_orderby=variable
$ar_cache_select=variable
$ar_cache_set=variable
$ar_cache_where=variable
$ar_caching=variable
$ar_distinct=variable
$ar_from=variable
$ar_groupby=variable
$ar_having=variable
$ar_join=variable
$ar_keys=variable
$ar_like=variable
$ar_limit=variable
$ar_no_escape=variable
$ar_offset=variable
$ar_order=variable
$ar_orderby=variable
$ar_select=variable
$ar_set=variable
$ar_store_array=variable
$ar_where=variable
$ar_wherein=variable
count_all_results=method
dbprefix=method
delete=method
distinct=method
empty_table=method
flush_cache=method
from=method
get=method
get_where=method
group_by=method
having=method
insert=method
insert_batch=method
join=method
like=method
limit=method
not_like=method
offset=method
order_by=method
or_having=method
or_like=method
or_not_like=method
or_where=method
or_where_in=method
or_where_not_in=method
replace=method
select=method
select_avg=method
select_max=method
select_min=method
select_sum=method
set=method
set_dbprefix=method
set_insert_batch=method
set_update_batch=method
start_cache=method
stop_cache=method
truncate=method
update=method
update_batch=method
where=method
where_in=method
where_not_in=method
_compile_select=method
_create_alias_from_table=method
_having=method
_like=method
_max_min_avg_sum=method
_merge_cache=method
_object_to_array=method
_object_to_array_batch=method
_reset_run=method
_reset_select=method
_reset_write=method
_track_aliases=method
_where=method
_where_in=method

[CI_DB_cubrid_driver]
$dbdriver=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_insert_batch=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_replace=method
_truncate=method
_update=method
_update_batch=method
_version=method

[CI_DB_driver]
$autoinit=variable
$benchmark=variable
$bind_marker=variable
$CACHE=variable
$cachedir=variable
$cache_autodel=variable
$cache_on=variable
$char_set=variable
$conn_id=variable
$curs_id=variable
$database=variable
$data_cache=variable
$dbcollat=variable
$dbdriver=variable
$dbprefix=variable
$db_debug=variable
$hostname=variable
$limit_used=variable
$password=variable
$pconnect=variable
$port=variable
$queries=variable
$query_count=variable
$query_times=variable
$result_id=variable
$save_queries=variable
$stmt_id=variable
$swap_pre=variable
$trans_enabled=variable
$trans_strict=variable
$username=variable
$_protect_identifiers=variable
$_reserved_identifiers=variable
$_trans_depth=variable
$_trans_status=variable
cache_delete=method
cache_delete_all=method
cache_off=method
cache_on=method
cache_set_path=method
call_function=method
close=method
compile_binds=method
db_set_charset=method
display_error=method
elapsed_time=method
escape=method
escape_like_str=method
field_data=method
field_exists=method
initialize=method
insert_string=method
is_write_type=method
last_query=method
list_fields=method
list_tables=method
load_rdriver=method
platform=method
primary=method
protect_identifiers=method
query=method
simple_query=method
table_exists=method
total_queries=method
trans_complete=method
trans_off=method
trans_start=method
trans_status=method
trans_strict=method
update_string=method
version=method
_cache_init=method
_has_operator=method
_protect_identifiers=method

[CI_DB_mssql_driver]
$dbdriver=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_limit=method
_list_columns=method
_list_tables=method
_parse_major_version=method
_prep_query=method
_truncate=method
_update=method
_version=method

[CI_DB_mysql_driver]
$dbdriver=variable
$delete_hack=variable
$use_set_names=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_insert_batch=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_replace=method
_truncate=method
_update=method
_update_batch=method
_version=method

[CI_DB_mysqli_driver]
$dbdriver=variable
$delete_hack=variable
$use_set_names=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_db_set_charset=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_insert_batch=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_replace=method
_truncate=method
_update=method
_update_batch=method
_version=method

[CI_DB_odbc_driver]
$dbdriver=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_truncate=method
_update=method
_version=method

[CI_DB_pdo_driver]
$dbdriver=variable
$options=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_insert_batch=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_truncate=method
_update=method
_update_batch=method
_version=method

[CI_DB_postgre_driver]
$dbdriver=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_connect_string=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_insert_batch=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_truncate=method
_update=method
_version=method

[CI_DB_sqlite_driver]
$dbdriver=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_limit=method
_list_columns=method
_list_tables=method
_prep_query=method
_truncate=method
_update=method
_version=method

[CI_DB_sqlsrv_driver]
$dbdriver=variable
$_count_string=variable
$_escape_char=variable
$_like_escape_chr=variable
$_like_escape_str=variable
$_random_keyword=variable
affected_rows=method
count_all=method
db_connect=method
db_pconnect=method
db_select=method
db_set_charset=method
escape_str=method
insert_id=method
reconnect=method
trans_begin=method
trans_commit=method
trans_rollback=method
_close=method
_delete=method
_error_message=method
_error_number=method
_escape_identifiers=method
_escape_table=method
_execute=method
_field_data=method
_from_tables=method
_insert=method
_limit=method
_list_columns=method
_list_tables=method
_parse_major_version=method
_prep_query=method
_truncate=method
_update=method
_version=method

[CI_Benchmark]
$marker=variable
elapsed_time=method
mark=method
memory_usage=method

[CI_Cache]
$valid_drivers=variable
$_adapter=variable
$_backup_driver=variable
$_cache_path=variable
cache_info=method
clean=method
delete=method
get=method
get_metadata=method
is_supported=method
save=method
_initialize=method
__get=method

[CI_Cache_apc]
cache_info=method
clean=method
delete=method
get=method
get_metadata=method
is_supported=method
save=method

[CI_Cache_dummy]
cache_info=method
clean=method
delete=method
get=method
get_metadata=method
is_supported=method
save=method

[CI_Cache_file]
$_cache_path=variable
cache_info=method
clean=method
delete=method
get=method
get_metadata=method
is_supported=method
save=method

[CI_Cache_memcached]
$_memcached=variable
$_memcache_conf=variable
cache_info=method
clean=method
delete=method
get=method
get_metadata=method
is_supported=method
save=method
_setup_memcached=method

[CI_Calendar]
$CI=variable
$day_type=variable
$lang=variable
$local_time=variable
$month_type=variable
$next_prev_url=variable
$show_next_prev=variable
$start_day=variable
$template=variable
adjust_date=method
default_template=method
generate=method
get_day_names=method
get_month_name=method
get_total_days=method
initialize=method
parse_template=method

[CI_Cart]
$CI=variable
$product_id_rules=variable
$product_name_rules=variable
$_cart_contents=variable
contents=method
destroy=method
format_number=method
has_options=method
insert=method
product_options=method
total=method
total_items=method
update=method
_insert=method
_save_cart=method
_update=method

[CI_Config]
$config=variable
$is_loaded=variable
$_config_paths=variable
base_url=method
item=method
load=method
set_item=method
site_url=method
slash_item=method
system_url=method
_assign_to_config=method
_uri_string=method

[CI_Controller]
$instance=variable
get_instance=method

[CI_Driver]
$reflections=variable
$methods=variable
$parent=variable
$properties=variable
decorate=method
__call=method
__get=method
__set=method

[CI_Driver_Library]
$lib_name=variable
$valid_drivers=variable
__get=method

[CI_Email]
$alt_message=variable
$bcc_batch_mode=variable
$bcc_batch_size=variable
$charset=variable
$crlf=variable
$mailpath=variable
$mailtype=variable
$multipart=variable
$newline=variable
$priority=variable
$protocol=variable
$send_multipart=variable
$smtp_crypto=variable
$smtp_host=variable
$smtp_pass=variable
$smtp_port=variable
$smtp_timeout=variable
$smtp_user=variable
$useragent=variable
$validate=variable
$wordwrap=variable
$wrapchars=variable
$_alt_boundary=variable
$_atc_boundary=variable
$_attach_disp=variable
$_attach_name=variable
$_attach_type=variable
$_base_charsets=variable
$_bcc_array=variable
$_bit_depths=variable
$_body=variable
$_cc_array=variable
$_debug_msg=variable
$_encoding=variable
$_finalbody=variable
$_headers=variable
$_header_str=variable
$_IP=variable
$_priorities=variable
$_protocols=variable
$_recipients=variable
$_replyto_flag=variable
$_safe_mode=variable
$_smtp_auth=variable
$_smtp_connect=variable
$_subject=variable
attach=method
batch_bcc_send=method
bcc=method
cc=method
clean_email=method
clear=method
from=method
initialize=method
message=method
print_debugger=method
reply_to=method
send=method
set_alt_message=method
set_crlf=method
set_mailtype=method
set_newline=method
set_priority=method
set_protocol=method
set_wordwrap=method
subject=method
to=method
validate_email=method
valid_email=method
word_wrap=method
_build_headers=method
_build_message=method
_get_alt_message=method
_get_content_type=method
_get_encoding=method
_get_hostname=method
_get_ip=method
_get_message_id=method
_get_mime_message=method
_get_protocol=method
_get_smtp_data=method
_mime_types=method
_prep_quoted_printable=method
_prep_q_encoding=method
_remove_nl_callback=method
_send_command=method
_send_data=method
_send_with_mail=method
_send_with_sendmail=method
_send_with_smtp=method
_set_boundaries=method
_set_date=method
_set_error_message=method
_set_header=method
_smtp_authenticate=method
_smtp_connect=method
_spool_email=method
_str_to_array=method
_unwrap_specials=method
_write_headers=method

[CI_Encrypt]
$CI=variable
$encryption_key=variable
$_hash_type=variable
$_mcrypt_cipher=variable
$_mcrypt_exists=variable
$_mcrypt_mode=variable
decode=method
encode=method
encode_from_legacy=method
get_key=method
hash=method
mcrypt_decode=method
mcrypt_encode=method
set_cipher=method
set_hash=method
set_key=method
set_mode=method
sha1=method
_add_cipher_noise=method
_get_cipher=method
_get_mode=method
_remove_cipher_noise=method
_xor_decode=method
_xor_encode=method
_xor_merge=method

[CI_Exceptions]
$action=variable
$filename=variable
$levels=variable
$line=variable
$message=variable
$ob_level=variable
$severity=variable
log_exception=method
show_404=method
show_error=method
show_php_error=method

[CI_Form_validation]
$CI=variable
$error_string=variable
$_config_rules=variable
$_error_array=variable
$_error_messages=variable
$_error_prefix=variable
$_error_suffix=variable
$_field_data=variable
$_safe_form_data=variable
alpha=method
alpha_dash=method
alpha_numeric=method
decimal=method
encode_php_tags=method
error=method
error_string=method
exact_length=method
greater_than=method
integer=method
is_natural=method
is_natural_no_zero=method
is_numeric=method
is_unique=method
less_than=method
matches=method
max_length=method
min_length=method
numeric=method
prep_for_form=method
prep_url=method
regex_match=method
required=method
run=method
set_checkbox=method
set_error_delimiters=method
set_message=method
set_radio=method
set_rules=method
set_select=method
set_value=method
strip_image_tags=method
valid_base64=method
valid_email=method
valid_emails=method
valid_ip=method
xss_clean=method
_execute=method
_reduce_array=method
_reset_post_array=method
_translate_fieldname=method

[CI_FTP]
$conn_id=variable
$debug=variable
$hostname=variable
$passive=variable
$password=variable
$port=variable
$username=variable
changedir=method
chmod=method
close=method
connect=method
delete_dir=method
delete_file=method
download=method
initialize=method
list_files=method
mirror=method
mkdir=method
move=method
rename=method
upload=method
_error=method
_getext=method
_is_conn=method
_login=method
_settype=method

[CI_Hooks]
$enabled=variable
$hooks=variable
$in_progress=variable
_call_hook=method
_initialize=method
_run_hook=method

[CI_Image_lib]
$copy_fnc=variable
$create_fnc=variable
$create_thumb=variable
$dest_folder=variable
$dynamic_output=variable
$error_msg=variable
$full_dst_path=variable
$full_src_path=variable
$height=variable
$image_library=variable
$image_type=variable
$library_path=variable
$maintain_ratio=variable
$master_dim=variable
$mime_type=variable
$new_image=variable
$orig_height=variable
$orig_width=variable
$quality=variable
$rotation_angle=variable
$size_str=variable
$source_folder=variable
$source_image=variable
$thumb_marker=variable
$width=variable
$wm_font_color=variable
$wm_font_path=variable
$wm_font_size=variable
$wm_hor_alignment=variable
$wm_hor_offset=variable
$wm_opacity=variable
$wm_overlay_path=variable
$wm_padding=variable
$wm_shadow_color=variable
$wm_shadow_distance=variable
$wm_text=variable
$wm_type=variable
$wm_use_drop_shadow=variable
$wm_use_truetype=variable
$wm_vrt_alignment=variable
$wm_vrt_offset=variable
$wm_x_transp=variable
$wm_y_transp=variable
$x_axis=variable
$y_axis=variable
clear=method
crop=method
display_errors=method
explode_name=method
gd_loaded=method
gd_version=method
get_image_properties=method
image_create_gd=method
image_display_gd=method
image_mirror_gd=method
image_process_gd=method
image_process_imagemagick=method
image_process_netpbm=method
image_reproportion=method
image_rotate_gd=method
image_save_gd=method
initialize=method
overlay_watermark=method
resize=method
rotate=method
set_error=method
size_calculator=method
text_watermark=method
watermark=method

[CI_Input]
$headers=variable
$ip_address=variable
$user_agent=variable
$_allow_get_array=variable
$_enable_csrf=variable
$_enable_xss=variable
$_standardize_newlines=variable
cookie=method
get=method
get_post=method
get_request_header=method
ip_address=method
is_ajax_request=method
is_cli_request=method
post=method
request_headers=method
server=method
set_cookie=method
user_agent=method
valid_ip=method
_clean_input_data=method
_clean_input_keys=method
_fetch_from_array=method
_sanitize_globals=method

[CI_Javascript]
$_javascript_location=variable
addClass=method
animate=method
blur=method
change=method
clear_compile=method
click=method
compile=method
dblclick=method
error=method
external=method
fadeIn=method
fadeOut=method
focus=method
generate_json=method
hide=method
hover=method
inline=method
keydown=method
keyup=method
load=method
mousedown=method
mouseout=method
mouseover=method
mouseup=method
output=method
ready=method
removeClass=method
resize=method
scroll=method
show=method
slideDown=method
slideToggle=method
slideUp=method
toggle=method
toggleClass=method
unload=method
update=method
_close_script=method
_is_associative_array=method
_open_script=method
_prep_args=method

[CI_Jquery]
$jquery_ajax_img=variable
$jquery_code_for_compile=variable
$jquery_code_for_load=variable
$jquery_corner_active=variable
$jquery_table_sorter_active=variable
$jquery_table_sorter_pager_active=variable
$_javascript_folder=variable
corner=method
effect=method
modal=method
plugin=method
script=method
sortable=method
tablesorter=method
ui=method
_addClass=method
_add_event=method
_animate=method
_blur=method
_change=method
_clear_compile=method
_click=method
_compile=method
_dblclick=method
_document_ready=method
_error=method
_fadeIn=method
_fadeOut=method
_focus=method
_hide=method
_hover=method
_keydown=method
_keyup=method
_load=method
_mousedown=method
_mouseout=method
_mouseover=method
_mouseup=method
_output=method
_prep_element=method
_removeClass=method
_resize=method
_scroll=method
_show=method
_slideDown=method
_slideToggle=method
_slideUp=method
_toggle=method
_toggleClass=method
_unload=method
_updater=method
_validate_speed=method
_zebraTables=method

[CI_Lang]
$is_loaded=variable
$language=variable
line=method
load=method

[CI_Loader]
$_base_classes=variable
$_ci_cached_vars=variable
$_ci_classes=variable
$_ci_helpers=variable
$_ci_helper_paths=variable
$_ci_library_paths=variable
$_ci_loaded_files=variable
$_ci_models=variable
$_ci_model_paths=variable
$_ci_ob_level=variable
$_ci_varmap=variable
$_ci_view_paths=variable
add_package_path=method
config=method
database=method
dbforge=method
dbutil=method
driver=method
file=method
get_package_paths=method
get_var=method
helper=method
helpers=method
initialize=method
is_loaded=method
language=method
library=method
model=method
remove_package_path=method
vars=method
view=method
_ci_autoloader=method
_ci_get_component=method
_ci_init_class=method
_ci_load=method
_ci_load_class=method
_ci_object_to_array=method
_ci_prep_filename=method

[CI_Log]
$_date_fmt=variable
$_enabled=variable
$_levels=variable
$_log_path=variable
$_threshold=variable
write_log=method

[CI_Migration]
$_error_string=variable
$_migration_enabled=variable
$_migration_path=variable
$_migration_version=variable
current=method
error_string=method
find_migrations=method
latest=method
version=method
_get_version=method
_update_version=method
__get=method

[CI_Model]
__get=method

[CI_Output]
$cache_expiration=variable
$enable_profiler=variable
$final_output=variable
$headers=variable
$mime_types=variable
$parse_exec_vars=variable
$_profiler_sections=variable
$_zlib_oc=variable
append_output=method
cache=method
enable_profiler=method
get_output=method
set_content_type=method
set_header=method
set_output=method
set_profiler_sections=method
set_status_header=method
_display=method
_display_cache=method
_write_cache=method

[CI_Pagination]
$anchor_class=variable
$base_url=variable
$cur_page=variable
$cur_tag_close=variable
$cur_tag_open=variable
$display_pages=variable
$first_link=variable
$first_tag_close=variable
$first_tag_open=variable
$first_url=variable
$full_tag_close=variable
$full_tag_open=variable
$last_link=variable
$last_tag_close=variable
$last_tag_open=variable
$next_link=variable
$next_tag_close=variable
$next_tag_open=variable
$num_links=variable
$num_tag_close=variable
$num_tag_open=variable
$page_query_string=variable
$per_page=variable
$prefix=variable
$prev_link=variable
$prev_tag_close=variable
$prev_tag_open=variable
$query_string_segment=variable
$suffix=variable
$total_rows=variable
$uri_segment=variable
$use_page_numbers=variable
create_links=method
initialize=method

[CI_Parser]
$l_delim=variable
$object=variable
$r_delim=variable
parse=method
parse_string=method
set_delimiters=method
_match_pair=method
_parse=method
_parse_pair=method
_parse_single=method

[CI_Profiler]
$CI=variable
$_available_sections=variable
$_query_toggle_count=variable
run=method
set_sections=method
_compile_benchmarks=method
_compile_config=method
_compile_controller_info=method
_compile_get=method
_compile_http_headers=method
_compile_memory_usage=method
_compile_post=method
_compile_queries=method
_compile_session_data=method
_compile_uri_string=method

[CI_Router]
$class=variable
$config=variable
$default_controller=variable
$directory=variable
$error_routes=variable
$method=variable
$routes=variable
fetch_class=method
fetch_directory=method
fetch_method=method
set_class=method
set_directory=method
set_method=method
_parse_routes=method
_set_default_controller=method
_set_overrides=method
_set_request=method
_set_routing=method
_validate_request=method

[CI_Security]
$_csrf_cookie_name=variable
$_csrf_expire=variable
$_csrf_hash=variable
$_csrf_token_name=variable
$_never_allowed_regex=variable
$_never_allowed_str=variable
$_xss_hash=variable
csrf_set_cookie=method
csrf_show_error=method
csrf_verify=method
entity_decode=method
get_csrf_hash=method
get_csrf_token_name=method
sanitize_filename=method
xss_clean=method
xss_hash=method
_compact_exploded_words=method
_convert_attribute=method
_csrf_set_hash=method
_decode_entity=method
_do_never_allowed=method
_filter_attributes=method
_js_img_removal=method
_js_link_removal=method
_remove_evil_attributes=method
_sanitize_naughty_html=method
_validate_entities=method

[CI_Session]
$CI=variable
$cookie_domain=variable
$cookie_path=variable
$cookie_prefix=variable
$cookie_secure=variable
$encryption_key=variable
$flashdata_key=variable
$gc_probability=variable
$now=variable
$sess_cookie_name=variable
$sess_encrypt_cookie=variable
$sess_expiration=variable
$sess_expire_on_close=variable
$sess_match_ip=variable
$sess_match_useragent=variable
$sess_table_name=variable
$sess_time_to_update=variable
$sess_use_database=variable
$time_reference=variable
$userdata=variable
all_userdata=method
flashdata=method
keep_flashdata=method
sess_create=method
sess_destroy=method
sess_read=method
sess_update=method
sess_write=method
set_flashdata=method
set_userdata=method
unset_userdata=method
userdata=method
_flashdata_mark=method
_flashdata_sweep=method
_get_time=method
_serialize=method
_sess_gc=method
_set_cookie=method
_unserialize=method

[CI_SHA1]
generate=method
_ft=method
_hex=method
_kt=method
_rol=method
_safe_add=method
_zero_fill=method

[CI_Table]
$auto_heading=variable
$caption=variable
$empty_cells=variable
$function=variable
$heading=variable
$newline=variable
$rows=variable
$template=variable
add_row=method
clear=method
generate=method
make_columns=method
set_caption=method
set_empty=method
set_heading=method
set_template=method
_compile_template=method
_default_template=method
_prep_args=method
_set_from_array=method
_set_from_object=method

[CI_Trackback]
$charset=variable
$convert_ascii=variable
$data=variable
$error_msg=variable
$response=variable
$time_format=variable
convert_ascii=method
convert_xml=method
data=method
display_errors=method
extract_urls=method
get_id=method
limit_characters=method
process=method
receive=method
send=method
send_error=method
send_success=method
set_error=method
validate_url=method

[CI_Unit_test]
$active=variable
$results=variable
$strict=variable
$_template=variable
$_template_rows=variable
$_test_items_visible=variable
active=method
report=method
result=method
run=method
set_template=method
set_test_items=method
use_strict=method
_backtrace=method
_default_template=method
_parse_template=method

[CI_Upload]
$allowed_types=variable
$client_name=variable
$encrypt_name=variable
$error_msg=variable
$file_ext=variable
$file_name=variable
$file_size=variable
$file_temp=variable
$file_type=variable
$image_height=variable
$image_size_str=variable
$image_type=variable
$image_width=variable
$is_image=variable
$max_filename=variable
$max_height=variable
$max_size=variable
$max_width=variable
$mimes=variable
$orig_name=variable
$overwrite=variable
$remove_spaces=variable
$temp_prefix=variable
$upload_path=variable
$xss_clean=variable
$_file_name_override=variable
clean_file_name=method
data=method
display_errors=method
do_upload=method
do_xss_clean=method
get_extension=method
initialize=method
is_allowed_dimensions=method
is_allowed_filesize=method
is_allowed_filetype=method
is_image=method
limit_filename_length=method
mimes_types=method
set_allowed_types=method
set_error=method
set_filename=method
set_image_properties=method
set_max_filename=method
set_max_filesize=method
set_max_height=method
set_max_width=method
set_upload_path=method
set_xss_clean=method
validate_upload_path=method
_file_mime_type=method
_prep_filename=method

[CI_URI]
$keyval=variable
$rsegments=variable
$segments=variable
$uri_string=variable
assoc_to_uri=method
rsegment=method
rsegment_array=method
ruri_string=method
ruri_to_assoc=method
segment=method
segment_array=method
slash_rsegment=method
slash_segment=method
total_rsegments=method
total_segments=method
uri_string=method
uri_to_assoc=method
_detect_uri=method
_explode_segments=method
_fetch_uri_string=method
_filter_uri=method
_parse_cli_args=method
_reindex_segments=method
_remove_url_suffix=method
_set_uri_string=method
_slash_segment=method
_uri_to_assoc=method

[CI_User_agent]
$agent=variable
$browser=variable
$browsers=variable
$charsets=variable
$is_browser=variable
$is_mobile=variable
$is_robot=variable
$languages=variable
$mobile=variable
$mobiles=variable
$platform=variable
$platforms=variable
$robot=variable
$robots=variable
$version=variable
accept_charset=method
accept_lang=method
agent_string=method
browser=method
charsets=method
is_browser=method
is_mobile=method
is_referral=method
is_robot=method
languages=method
mobile=method
platform=method
referrer=method
robot=method
version=method
_compile_data=method
_load_agent_file=method
_set_browser=method
_set_charsets=method
_set_languages=method
_set_mobile=method
_set_platform=method
_set_robot=method

[CI_Utf8]
clean_string=method
convert_to_utf8=method
safe_ascii_for_xml=method
_is_ascii=method

[CI_Xmlrpc]
$client=variable
$data=variable
$debug=variable
$error=variable
$message=variable
$method=variable
$response=variable
$result=variable
$valid_parents=variable
$xmlrpcArray=variable
$xmlrpcBase64=variable
$xmlrpcBoolean=variable
$xmlrpcDateTime=variable
$xmlrpcDouble=variable
$xmlrpcerr=variable
$xmlrpcerruser=variable
$xmlrpcerrxml=variable
$xmlrpcI4=variable
$xmlrpcInt=variable
$xmlrpcName=variable
$xmlrpcstr=variable
$xmlrpcString=variable
$xmlrpcStruct=variable
$xmlrpcTypes=variable
$xmlrpcVersion=variable
$xmlrpc_backslash=variable
$xmlrpc_defencoding=variable
$xss_clean=variable
display_error=method
display_response=method
initialize=method
method=method
request=method
send_error_message=method
send_request=method
send_response=method
server=method
set_debug=method
timeout=method
values_parsing=method

[CI_Xmlrpcs]
$controller_obj=variable
$debug_msg=variable
$methods=variable
$object=variable
$system_methods=variable
add_to_map=method
do_multicall=method
initialize=method
listMethods=method
methodHelp=method
methodSignature=method
multicall=method
multicall_error=method
parseRequest=method
serve=method
set_system_methods=method
_execute=method

[CI_Zip]
$directory=variable
$entries=variable
$file_num=variable
$now=variable
$offset=variable
$zipdata=variable
add_data=method
add_dir=method
archive=method
clear_data=method
download=method
get_zip=method
read_dir=method
read_file=method
_add_data=method
_add_dir=method
_get_mod_time=method

[Welcome]
index=method

[XML_RPC_Client]
$errno=variable
$errstring=variable
$no_multicall=variable
$path=variable
$port=variable
$server=variable
$timeout=variable
send=method
sendPayload=method

[XML_RPC_Message]
$method_name=variable
$params=variable
$payload=variable
$xh=variable
addParam=method
character_data=method
closing_tag=method
createPayload=method
decode_message=method
open_tag=method
output_parameters=method
parseResponse=method

[XML_RPC_Values]
$me=variable
$mytype=variable
addArray=method
addScalar=method
addStruct=method
iso8601_encode=method
kindOf=method
scalarval=method
serializedata=method
serializeval=method
serialize_class=method

[XML_RPC_Response]
$errno=variable
$errstr=variable
$headers=variable
$val=variable
$xss_clean=variable
decode=method
faultCode=method
faultString=method
iso8601_decode=method
prepare_response=method
value=method
xmlrpc_decoder=method

[%entrytypes]
Variables=variable
Functions=method
Constants=constant

[%icons]
constant=4
method=2
variable=1

